//============================================================================
// Name        : Decomp.hpp
// Author      : Zdeněk Kalčík
// Copyright   : @2009@
// Project 		 : BDS
//============================================================================

#ifndef DECOMP_HPP_
#define DECOMP_HPP_

#include <iostream>
using namespace std;

#include "cudd.h"

#define AND  1
#define OR   2
#define XNOR 3

class Decomp {
public:
	//Is it end function?
	bool list;

	//Pointer to end function
	DdNode *function;

	//Pointer to manager
	DdManager *manag;

	//If it isn't end function oper is decomposition type between L and R
	int oper;
	Decomp *L;
	Decomp *R;

	Decomp(DdNode *f, DdManager *m);
	Decomp(Decomp *decomp);
	virtual ~Decomp();

	void saveDecomp(Decomp *decompL, Decomp *decompR, int o);
};

#endif /* DECOMP_HPP_ */
