//============================================================================
// Name        : Manager2.hpp
// Author      : Zdeněk Kalčík
// Copyright   : @2009@
// Project 		 : BDS
//============================================================================

#ifndef MANAGER2_HPP_
#define MANAGER2_HPP_

#include <sstream>
#include <iostream>
#include <stdlib.h>
#include <vector>
using namespace std;

#include "cudd.h"
#include "FileUtil.hpp"
#include "Decompositions.hpp"
#include "Decomp.hpp"
#include "Manager.hpp"
#include "Decomp2.hpp"

void initDecompositionManager(vector<string> inputNames2);
void endDecompositionManager();
void decompositionManager(DdManager *originalManager, DdNode *originalFunction, Decomp2 *decomp);
void proceedDecompp(Decomp2 *decomp, FILE *file, string funcName);

#endif /* MANAGER2_HPP_ */
